# Uses of Class
org.apache.lucene.codecs.KnnFieldVectorsWriter

Packages that use KnnFieldVectorsWriter
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.hnsw
HNSW vector helper classes.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.

- ## Uses of KnnFieldVectorsWriter in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return KnnFieldVectorsWriter
  Modifier and Type
  Method
  Description
  `KnnFieldVectorsWriter<?>`
  BufferingKnnVectorsWriter.`addField(FieldInfo fieldInfo)`
  `abstract KnnFieldVectorsWriter<?>`
  KnnVectorsWriter.`addField(FieldInfo fieldInfo)`
  Add new field for indexing

- ## Uses of KnnFieldVectorsWriter in org.apache.lucene.codecs.hnsw

  Subclasses of KnnFieldVectorsWriter in org.apache.lucene.codecs.hnsw
  Modifier and Type
  Class
  Description
  `class`
  `FlatFieldVectorsWriter<T>`
  Vectors' writer for a field

- ## Uses of KnnFieldVectorsWriter in org.apache.lucene.codecs.lucene99

  Methods in org.apache.lucene.codecs.lucene99 that return KnnFieldVectorsWriter
  Modifier and Type
  Method
  Description
  `KnnFieldVectorsWriter<?>`
  Lucene99HnswVectorsWriter.`addField(FieldInfo fieldInfo)`